package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 开单合理性图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class BillNeoMaxDTO {

    /****************扩展数据开始******************/
    // 开单名称
    private String orderName;

    // 开单标准名称
    private String orderStandName;
    /****************扩展数据结束******************/

    // 禁忌性别
    private String gender;

    // 年龄
    private NodeNeoDTO ageNeoDTO;

    // 临床表现
    private List<NodeNeoDTO> clinicfindings = new ArrayList<>();

    // 服用药品
    private List<String> prescribe = new ArrayList<>();

    // 禁忌过敏药品
    private List<String> allergmeds = new ArrayList<>();

    // 禁忌手术
    private List<String> operations = new ArrayList<>();

    // 禁忌操作
    private List<String> procedures = new ArrayList<>();

    // 禁忌辅助检查
    private List<NodeNeoDTO> pacs = new ArrayList<>();

    // 禁忌疾病
    private List<NodeNeoDTO> disease = new ArrayList<>();

    // 禁用人群
    private List<String> group = new ArrayList<>();

    // 禁忌过敏药品
    private List<String> allergicmeds = new ArrayList<>();

    // 禁忌实验室检查
    private List<NodeNeoDTO> lis = new ArrayList<>();

    // 配伍禁忌
    private List<String> conflictmeds = new ArrayList<>();
}
